<?php
/**
* Asset.class.php
*
*
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2007 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


class Asset {
	
	var $relative_path;
	var $content;
	var $filename;
	var $id;

	function Asset() {
		$this->relative_path = "";
		$this->content = "";
		$this->filename = "";
		$this->id = "";
	}

	function setId($s) {
		$this->id = $s;
	}

	function setRelativePath($s) {
		$this->relative_path = $s;
	}

	function setContent($s) {
		$this->content = $s;
	}

	function setFilename($s) {
		$this->filename = $s;
	}

	function getId() {
		return $this->id;
	}

	function getRelativePath() {
		return $this->relative_path;
	}

	function getContent() {
		return $this->content;
	}

	function getFilename() {
		return $this->filename;
	}

}

?>
